.contact-us {
  $parent: &;

  padding: map-get($mobile, space-lg) 0;

  @include breakpoint($large) {
    padding: map-get($desktop, space-lg) 0;
  }

  &__main {
    display: flex;
    align-items: flex-start;

    @include breakpoint($large) {
      align-items: stretch;
    }
  }

  .container {
    max-width: $article-width-outer;

    @include breakpoint($small) {
      padding: 0;
      margin: 0;
    }
  }

  &__backLink {
    color: $text-color;
    padding-left: calc(25px + 0.6rem);
    position: relative;
    line-height: 25px;

    .icon {
      display: inline-block;
      border: 2px solid $link-color;
      border-radius: 50%;
      width: 25px;
      height: 25px;
      position: absolute;
      left: 0;
      top: 0;
      cursor: pointer;

      @include breakpoint($large) {
        top: 0rem;
      }

      svg {
        position: absolute;
        top: 6px;
        left: 4px;
        width: 12px;
      }
    }
  }

  &__primary,
  &__secondary,
  &__tertiary {
    flex: 0 0 100%;
    transition: all 0.5s;
    position: relative;
    background: #fff;
    transform: translate(0, 0);
  }

  &__primary {
    padding: 0 $global-padding-mobile;

    @include breakpoint($large) {
      flex: 0 0 35%;
      padding: 0 $global-padding-desktop 0 0;
    }

    h3 {
      padding-left: 0;
    }

    .image {
      margin: 0 auto;
      display: block;
      text-align: center;
    }
  }

  &__secondary {
    display: flex;
    flex: 0 0 200%;
    transform: translate(0, 0);
    flex-wrap: wrap;
    align-items: flex-start;

    @include breakpoint($large) {
      border-left: 1px solid $border-color;
      flex: 0 0 140%;
      align-items: stretch;

      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 2%;
        left: 0px;
        z-index: -2;
        box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0);
        width: 7px;
        height: 96%;
        transition: all linear 150ms;
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }
  }

  &__breadcrumb {
    flex: 0 0 100%;
    align-self: flex-start;
    padding: 0 $global-padding-mobile;

    .nav--breadcrumb {
      border-top: 0;
      margin-bottom: 1rem;

      .container {
        padding: 0;
      }

      ul {
        padding: 0;
      }
    }
  }

  &__details {
    display: flex;
    align-items: flex-start;
    flex: 0 0 100%;
    flex-wrap: nowrap;
    transition: all 0.5s;

    @include breakpoint($large) {
      align-items: stretch;
    }
  }

  &__secondaryitems {
    flex: 0 0 50%;
    padding: 0 $global-padding-mobile;

    #{$parent}__secondaryitems__list {
      @include breakpoint($large) {
        transform: translate(20px, 0);
        opacity: 0;
        padding: 0 3rem;
        transition: opacity linear 300ms, transform linear 300ms,
          height linear 1ms;
      }
    }
  }

  &__primary .links,
  &__secondaryitems .links {
    li {
      color: $link-color;
      display: block;
      padding: 0;
      border-radius: 10px;
      overflow: hidden;

      a {
        padding: 0.8rem 0.7rem;
        display: block;
        border: none;

        @include breakpoint($large) {
          padding: 0.8rem 1.2rem;
        }

        .arrowlink__link {
          padding: 0;
          margin-left: 20px;

          @include breakpoint($large) {
            margin-left: 30px;
          }

          span:first-child {
            border-bottom: 1px solid rgba(0, 0, 0, 0);
            transition: border-color linear 300ms;
          }

          span:not(:first-child) {
            display: block;
            color: $text-color;
            font-size: 80%;
            margin-top: 0.4rem;
          }
        }

        &:hover {
          background-color: #eee;

          .arrowlink__link {
            span:first-child {
              border-color: #3d3d3d;
            }
          }
        }
      }

      &.featured {
        border: 1px solid $border-color;
        margin-bottom: 0.5rem;

        a {
          padding: 0.7rem;

          @include breakpoint($large) {
            padding: 1.2rem;
          }
        }
      }
    }
  }

  .contact {
    .contact__detail {
      margin-bottom: 0;
      padding-bottom: 0;
    }
    .contact__opening {
      margin: 0 0 0.7rem;
      padding: 0 0 0.7rem;
      border-bottom: 1px solid $border-color;
    }
  }

  &__copy {
    margin-top: 2rem;
  }

  &__tertiary {
    flex: 0 0 50%;
    transform: translate(0, 0);
    padding: 0 $global-padding-mobile;
    opacity: 0;
    height: 0;

    @include breakpoint($large) {
      padding: 0 0 0 8rem;

      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 2%;
        left: 0px;
        z-index: -2;
        box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0);
        width: 7px;
        height: 96%;
        transition: all linear 300ms;
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }

    ul.links {
      margin: 2rem 0 0;
      li {
        padding: 0.8rem 0;
        flex-wrap: wrap;

        a {
          padding: 0;
        }
      }
    }
  }

  &--stage1 {
    #{$parent}__secondaryitems__list {
      @include breakpoint($large) {
        opacity: 0;
        height: 0;
        overflow: hidden;
      }
    }
  }

  &--stage2 {
    #{$parent}__intro {
      display: none;
    }

    #{$parent}__primary {
      transform: translate(-100%, 0);

      @include breakpoint($large) {
        transform: translate(0, 0);
      }
    }
    #{$parent}__secondary {
      transform: translate(-50%, 0);

      @include breakpoint($large) {
        transform: translate(0%, 0);

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }

    #{$parent}__secondaryitems__list {
      opacity: 1;
      transform: translate(0, 0);
    }
  }

  &--stage3 {
    #{$parent}__intro {
      display: none;
    }

    #{$parent}__primary {
      transform: translate(-200%, 0);

      @include breakpoint($large) {
        transform: translate(-30%, 0);
      }
    }

    #{$parent}__secondary {
      transform: translate(-50%, 0);

      @include breakpoint($large) {
        transform: translate(-22%, 0);

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }

    #{$parent}__details {
      transform: translate(-50%, 0);

      @include breakpoint($large) {
        transform: translate(0, 0);
      }
    }

    #{$parent}__tertiary {
      opacity: 1;
      height: auto;
      @include breakpoint($large) {
        transform: translate(-58%, 0);
        border-left: 1px solid $border-color;
        position: relative;

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }

    #{$parent}__secondaryitems__list {
      @include breakpoint($large) {
        opacity: 1;
        transform: translate(0, 0);
        padding: 0 3rem;
      }
    }
  }

  &__intro {
    text-align: center;
    padding: $global-padding-mobile;
    display: none;

    @include breakpoint($large) {
      padding: $global-padding-desktop;
      max-width: 320px;
      margin: 0 auto;
      display: block;
    }

    h2 {
      margin-bottom: 2rem;
    }
  }

  &__sectionHeading {
    margin-bottom: map-get($mobile, space-md);
    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-md);
    }
  }

  &__section {
    border-bottom: 1px solid $border-color;
    margin-bottom: map-get($mobile, space-xsmsm);
    padding-bottom: map-get($mobile, space-xsmsm);

    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-xsmsm);
      padding-bottom: map-get($desktop, space-xsmsm);
    }

    ul {
      margin: 0;
    }
  }
}
